summaryrefslogtreecommitdiffstats
path: root/punani
diff options
context:
space:
mode:
Diffstat (limited to 'punani')
-rw-r--r--punani/db/punani2
-rwxr-xr-xpunani/host/dist/arch/getsize17
2 files changed, 18 insertions, 1 deletions
diff --git a/punani/db/punani b/punani/db/punani
index ad477dab..e5d1f383 100644
--- a/punani/db/punani
+++ b/punani/db/punani
@@ -43,7 +43,7 @@
},
"tinc" : {
"apt-get" : "tinc",
- "yaourt" : "tinc"
+ "pacman" : "tinc"
},
"python-notify" : {
"pacman" : "python-notify",
diff --git a/punani/host/dist/arch/getsize b/punani/host/dist/arch/getsize
new file mode 100755
index 00000000..a2ef8f95
--- /dev/null
+++ b/punani/host/dist/arch/getsize
@@ -0,0 +1,17 @@
+#! /bin/sh
+set -euf
+sed -n '
+ /^Name/{
+ s/^Name *: *\(.*\)$/\1/
+ T
+ h
+ }
+ /^Installed Size/{
+ s/^Installed Size *: *\(.*\)$/ \1/
+ T
+ H
+ x
+ s/\n//g
+ p
+ }
+' | awk '{print$2$3" "$1}' | sort -n